local createCompositionBudilnik_destroing_on_click = nil
local createCompositionBudilnik_ringing = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/09_doctor/main/anim/z_stand_clock/"
---------------------------------------------------------------------------------------
function Loader_09_Zoom_Stand_Clock_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionBudilnik_destroing_on_click,		    'break',		    0,0, 10, 320,240, false),
    			CreateCompositionLoader(createCompositionBudilnik_ringing,		                'idle',		        0,0, 10, 320,240, true),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionBudilnik_destroing_on_click = function()
	local compositionBudilnik_destroing_on_click = CreateCompositionSequence()
	local compositionDuration = 1.25
	compositionBudilnik_destroing_on_click:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."budilnik_broken_glas.png")
	element:SetName("Layer_1")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(30.5, 24)
	compositionBudilnik_destroing_on_click:RegisterParentInfo("Layer_1", "Layer_5")
	element:SetXY(68.5, 106)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.375, 1.25)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:SetKey(_TRACK_O, 1.20833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."zvonok_nov.png")
	element:SetName("Layer_2")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(54.5, 8.5)
	compositionBudilnik_destroing_on_click:RegisterParentInfo("Layer_2", "Layer_6")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.25)
	effector:SetKey(_TRACK_X, 0.375, 78.5)
	effector:SetKey(_TRACK_Y, 0.375, -4.5)
	effector:SetKey(_TRACK_X, 0.58333333333333, 169.687779132249)
	effector:SetKey(_TRACK_Y, 0.58333333333333, -6.05712109511215)
	effector:SetKey(_TRACK_X, 0.875, 217)
	effector:SetKey(_TRACK_Y, 0.875, 199)
	effector:SetKey(_TRACK_X, 0.95833333333333, 219)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 194.5)
	effector:SetKey(_TRACK_X, 1.125, 217)
	effector:SetKey(_TRACK_Y, 1.125, 199)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.25, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.875, 2.29177620761284)
	effector:SetKey(_TRACK_A, 1.08333333333333, 2.53286281627252)
	effector:SetKey(_TRACK_A, 1.20833333333333, 2.29177620761284)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."molotok_02.png")
	element:SetName("Layer_3")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(23, 30)
	compositionBudilnik_destroing_on_click:RegisterParentInfo("Layer_3", "Layer_6")
	element:SetXY(30, 27)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.5)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.08333333333333, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.25, 1)
	effector:SetKey(_TRACK_O, 0.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."molotok.png")
	element:SetName("Layer_4")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(49.5, 18)
	compositionBudilnik_destroing_on_click:RegisterParentInfo("Layer_4", "Layer_6")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.25)
	effector:SetKey(_TRACK_X, 0.375, 48.5)
	effector:SetKey(_TRACK_Y, 0.375, 35)
	effector:SetKey(_TRACK_X, 1.125, -67.9555940067703)
	effector:SetKey(_TRACK_Y, 1.125, 155.660396962132)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 0)
	effector:SetKey(_TRACK_A, 0.66666666666667, -3.90103299539426)
	effector:SetKey(_TRACK_A, 0.83036295572917, -7.86142982904135)
	effector:SetKey(_TRACK_A, 1.05952962239583, -8.92954441448579)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.25, 0)
	effector:SetKey(_TRACK_O, 0.33333333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."budilnik_nov.png")
	element:SetName("Layer_5")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(82, 166)
	element:SetParentElement(compositionBudilnik_destroing_on_click)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.41666666666667, 1.25)
	effector:SetKey(_TRACK_X, 0.41666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 296)
	effector:SetKey(_TRACK_X, 0.625, 283)
	effector:SetKey(_TRACK_Y, 0.625, 234)
	effector:SetKey(_TRACK_SX, 0.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.41666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.625, 0.93)
	effector:SetKey(_TRACK_SY, 0.625, 0.93)
	effector:SetKey(_TRACK_A, 0.41666666666667, 0)
	effector:SetKey(_TRACK_A, 0.625, -1.35908860877638)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."budilnik_nov.png")
	element:SetName("Layer_6")
	compositionBudilnik_destroing_on_click:AddElement(element)
	element:SetHotSpot(82, 166)
	element:SetParentElement(compositionBudilnik_destroing_on_click)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.41666666666667)
	effector:SetKey(_TRACK_X, 0, 276)
	effector:SetKey(_TRACK_Y, 0, 296)
	effector:SetKey(_TRACK_X, 0.08333333333333, 276)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 290)
	effector:SetKey(_TRACK_X, 0.16666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 296)
	effector:SetKey(_TRACK_X, 0.25, 276.5)
	effector:SetKey(_TRACK_Y, 0.25, 288.5)
	effector:SetKey(_TRACK_X, 0.33333333333333, 276)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 296)
	effector:SetKey(_TRACK_X, 0.41666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 290)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.04045358665326)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.25, 0.06479285149028)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.04045358665326)
	effector:Play()
 
	compositionBudilnik_destroing_on_click:Play()
 
	return compositionBudilnik_destroing_on_click
end
 
createCompositionBudilnik_ringing = function()
	local compositionBudilnik_ringing = CreateCompositionSequence()
	local compositionDuration = 0.66666666666667
	compositionBudilnik_ringing:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."zvonok_nov.png")
	element:SetName("Layer_1")
	compositionBudilnik_ringing:AddElement(element)
	element:SetHotSpot(54.5, 8.5)
	compositionBudilnik_ringing:RegisterParentInfo("Layer_1", "Layer_4")
	element:SetXY(78.5, -4.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.66666666666667)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.25, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.5, 0)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.20169797112049)
	effector:SetKey(_TRACK_A, 0.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."molotok_02.png")
	element:SetName("Layer_2")
	compositionBudilnik_ringing:AddElement(element)
	element:SetHotSpot(23, 30)
	compositionBudilnik_ringing:RegisterParentInfo("Layer_2", "Layer_4")
	element:SetXY(30, 27)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.66666666666667)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.08333333333333, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.25, 1)
	effector:SetKey(_TRACK_O, 0.33333333333333, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 0.5, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."molotok.png")
	element:SetName("Layer_3")
	compositionBudilnik_ringing:AddElement(element)
	element:SetHotSpot(49.5, 18)
	compositionBudilnik_ringing:RegisterParentInfo("Layer_3", "Layer_4")
	element:SetXY(48.5, 35)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.66666666666667)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.25, 0)
	effector:SetKey(_TRACK_O, 0.33333333333333, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 0.66666666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."budilnik_nov.png")
	element:SetName("Layer_4")
	compositionBudilnik_ringing:AddElement(element)
	element:SetHotSpot(82, 166)
	element:SetParentElement(compositionBudilnik_ringing)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.66666666666667)
	effector:SetKey(_TRACK_X, 0, 276)
	effector:SetKey(_TRACK_Y, 0, 296)
	effector:SetKey(_TRACK_X, 0.08333333333333, 276)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 290)
	effector:SetKey(_TRACK_X, 0.16666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 296)
	effector:SetKey(_TRACK_X, 0.25, 276.5)
	effector:SetKey(_TRACK_Y, 0.25, 288.5)
	effector:SetKey(_TRACK_X, 0.33333333333333, 276)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 296)
	effector:SetKey(_TRACK_X, 0.41666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 290)
	effector:SetKey(_TRACK_X, 0.5, 276)
	effector:SetKey(_TRACK_Y, 0.5, 296)
	effector:SetKey(_TRACK_X, 0.58333333333333, 276.5)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 288.5)
	effector:SetKey(_TRACK_X, 0.66666666666667, 276)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 296)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.04045358665326)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.25, 0.06479285149028)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.04045358665326)
	effector:SetKey(_TRACK_A, 0.5, 0)
	effector:SetKey(_TRACK_A, 0.58333333333333, 0.06479285149028)
	effector:SetKey(_TRACK_A, 0.66666666666667, 0)
	effector:Play()
 
	compositionBudilnik_ringing:Play()
 
	return compositionBudilnik_ringing
end
 
